<?php

include "../../classes/autoload.php";

$html = new html("");

$app = new inner_app();
$app->quick_bar();
$app->app_start();
?>

<div class="column width_80 background_1 border_radius">

    <h1>NEW USER</h1>
    <div class="row width_80">
        <div class="column width_50">
            <label>Username</label>
            <input type="text" class="width_80" id='username' name='username' />
            <label>Password</label>
            <input type="text" class="width_80" id='password' name='password' />
            <label>Initials</label>
            <input type="text" class="width_80" id='initials' name='initials' />
            <label>Type</label>

            <select class="width_80" id='user_type' name='user_type'>
            <?php $function->get_user_types();?>
            </select>
            <label>Email</label>
            <input type="email" class="width_80" id='email' name='email' />
        </div>
    </div>
    <br>
    <button class="width_90" onclick="save('save_users.php')">SAVE</button>
    <br>

</div>


<script>
    function save(url) {
        var elements = document.getElementsByTagName('input');
        var payload = {};
        for (var i = 0; i < elements.length; i++) {
            var element = elements[i];
            if (element.type === 'text' || element.type === 'date' || element.type === 'email') {
                payload[element.name] = element.value;
            }
        }

        var elements = document.getElementsByTagName('select');
        for (var i = 0; i < elements.length; i++) {
            var element = elements[i];

            payload[element.name] = element.value;

        }

        var form = document.createElement('form');
        form.method = 'POST';
        form.action = url;

        for (var key in payload) {
            if (payload.hasOwnProperty(key)) {
                var input = document.createElement('input');
                input.type = 'hidden';
                input.name = key;
                input.value = payload[key];

                form.appendChild(input);
            }
        }

        document.body.appendChild(form);
        form.submit();
    }
</script>